% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/EventStudyApplicationInput.R
\name{EventStudyApplicationInput}
\alias{EventStudyApplicationInput}
\title{Abnormal Return Calculation (ARC) API Wrapper}
\format{
\code{\link[R6]{R6Class}} object.
}
\description{
This R6 class serialzes an Event Study parameter class to a list structure.
This is an abstract class for Event Study applications (Return, Volatility, 
and Volume Event Studies). It is not intended to use this class directly. 
Please use: \link{ARCApplicationInput}.
}
\section{Methods}{

\describe{
  \item{\code{$new()}}{Constructor for EventStudyApplicationInput}
  \item{\code{$setup()}}{Setup the parameter list}
}
}

\section{Super class}{
\code{\link[EventStudy:ApplicationInputInterface]{EventStudy::ApplicationInputInterface}} -> \code{EventStudyApplicationInput}
}
\section{Methods}{
\subsection{Public methods}{
\itemize{
\item \href{#method-EventStudyApplicationInput-setup}{\code{EventStudyApplicationInput$setup()}}
\item \href{#method-EventStudyApplicationInput-clone}{\code{EventStudyApplicationInput$clone()}}
}
}
\if{html}{\out{
<details open><summary>Inherited methods</summary>
<ul>
<li><span class="pkg-link" data-pkg="EventStudy" data-topic="ApplicationInputInterface" data-id="serialize"><a href='../../EventStudy/html/ApplicationInputInterface.html#method-ApplicationInputInterface-serialize'><code>EventStudy::ApplicationInputInterface$serialize()</code></a></span></li>
<li><span class="pkg-link" data-pkg="EventStudy" data-topic="ApplicationInputInterface" data-id="serializeToJson"><a href='../../EventStudy/html/ApplicationInputInterface.html#method-ApplicationInputInterface-serializeToJson'><code>EventStudy::ApplicationInputInterface$serializeToJson()</code></a></span></li>
<li><span class="pkg-link" data-pkg="EventStudy" data-topic="ApplicationInputInterface" data-id="setNamedList"><a href='../../EventStudy/html/ApplicationInputInterface.html#method-ApplicationInputInterface-setNamedList'><code>EventStudy::ApplicationInputInterface$setNamedList()</code></a></span></li>
<li><span class="pkg-link" data-pkg="EventStudy" data-topic="ApplicationInputInterface" data-id="setResultFileType"><a href='../../EventStudy/html/ApplicationInputInterface.html#method-ApplicationInputInterface-setResultFileType'><code>EventStudy::ApplicationInputInterface$setResultFileType()</code></a></span></li>
</ul>
</details>
}}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-EventStudyApplicationInput-setup"></a>}}
\if{latex}{\out{\hypertarget{method-EventStudyApplicationInput-setup}{}}}
\subsection{Method \code{setup()}}{
Initialize parameters of an event study
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{EventStudyApplicationInput$setup()}\if{html}{\out{</div>}}
}

}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-EventStudyApplicationInput-clone"></a>}}
\if{latex}{\out{\hypertarget{method-EventStudyApplicationInput-clone}{}}}
\subsection{Method \code{clone()}}{
The objects of this class are cloneable with this method.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{EventStudyApplicationInput$clone(deep = FALSE)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{deep}}{Whether to make a deep clone.}
}
\if{html}{\out{</div>}}
}
}
}
